local Coligacao = {}

function Coligacao:new (partidos)
  self.__index = self

  return setmetatable({
      partidos = partidos,
      totalVotos = 0,
      candidatosEleitos = 0
      }, self)
end

function Coligacao:addCandidatosEleitos()
  self.candidatosEleitos = self.candidatosEleitos + 1
end

function Coligacao:addTotalVotos(votos)
  self.totalVotos = self.totalVotos + votos
end

return Coligacao
