-- Verifica se um arquivo existe ou não.
-- Entrada: Nome do arquivo.
-- Saida: true ou false.
local function file_exists(file)
  local f = io.open(file, "rb")
  if f then f:close() end
  return f ~= nil
end

-- Lê um arquivo desejado guardando numa lista de strings cada linha lida.
-- Entrada: Nome do arquivo.
-- Saida: Lista de strings.
function linhas_from(file)
  if not file_exists(file) then return nil end

  local linhas = {}

  for linha in io.lines(file) do
    linhas[#linhas + 1] = linha
  end

  return linhas
end
