local Partido = {}

function Partido:new (sigla)
  self.__index = self

  return setmetatable({
      sigla = sigla,
      votos = 0,
      candidatosEleitos = 0,
      coligacao = nil
      }, self)
end

function Partido:addCandidatosEleitos()
  self.candidatosEleitos = self.candidatosEleitos + 1
end

function Partido:addVotos(votos)
  self.votos = self.votos + votos
end

return Partido
